import re

rstatus = 47

def zomfg():
  global rstatus
  rstatus *= 53
  rstatus %= 1000000009
  return rstatus

def genPerm():
  ret = [0,1,2,3,4,5]
  for i in range(1,6):
    r = zomfg()%(i+1)
    r2 = ret[i]
    ret[i] = ret[r]
    ret[r] = r2
  return ret

def invPerm(p):
  ret = [0,1,2,3,4,5]
  for i in range(6):
    ret[p[i]] = i
  return ret

def gen_poses():
  perm1 = invPerm(genPerm())
  perm2 = invPerm(genPerm())
  p = [None for i in range(12)]
  for i in range(6):
    p[i] = base_poses[perm1[i]]
  for i in range(6):
    p[i+6] = base_poses[perm2[i]+6]
  return p 

names = [
  "red square",
  "green square",
  "blue square",
  "yellow square",
  "orange square",
  "pink square",
  "red wide rectangle",
  "green wide rectangle",
  "blue wide rectangle",
  "yellow wide rectangle",
  "orange wide rectangle",
  "pink wide rectangle"
  ]

base_poses = [
  [60, 60],
  [60, 160],
  [60, 260],
  [160, 60],
  [160, 160],
  [160, 260],

  [260, 60],
  [260, 160],
  [260, 260],

  [460, 60],
  [460, 160],
  [460, 260],
]

print "47 47 1466247601"

f = open("hard-data.js")

time = 1466247602.0

for l in f:
  if l[0] != '"':
    continue
  print "next", time
  poses = gen_poses()
  parts = l.lower().strip().split('then')
  for p in parts:
    if "do not click" in p.lower():
      res = re.search(r"([0-9]+) seconds", p.lower())
      wait = int(res.groups()[0])
      time += wait + 0.1
      continue
    if "background" in p.lower():
      print "10 10", time
      time += 0.1
      continue
    times = 1
    if "times" in p.lower():
      res = re.search(r"([0-9]+) times", p.lower())
      times = int(res.groups()[0])
    for i, n in enumerate(names):
      if n in p:
        for t in range(times):
          print poses[i][0], poses[i][1], time
          time += 0.1

print "done", time+1
